Bug 62412 - makefile generator does not detect duplicate headers
Summary: makefile generator does not detect duplicate headers
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: CDL   
(Show other bugs)
Version: CVS
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bart Veer
QA Contact: eCos bugs internal list
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-31 11:34 UTC by Bart Veer
Modified: 2007-04-18 16:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:14:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bart Veer 2002-03-31 11:34:41 UTC
Description of Problem:

Suppose two packages both try to supply a header file <machine/types.h>
The current makefile generator does not detect this, and it is not obvious
which header file will actually get used. The result is strange build failures.

Version-Release number of selected component (if applicable):

CVS

How Reproducible:

Probably depends in part on timestamps in the source tree.

Steps to Reproduce:
1. create a header <machine/types.h> in both CYGPKG_NET and
CYGPKG_NET_OPENBSD_STACK, where the former is blank
2. try to build a configuration using the net template
3. if the wrong header gets copied across, the build will fail with strange errors.

Actual Results:

Strange build failures.

Expected Results:

An error message from "ecosconfig tree" saying that the two packages conflict.

Additional Information:

Comment 1 Alex Schuilenburg 2003-06-20 16:14:28 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=62412


Note You need to log in before you can comment on or make changes to this bug.